Subject: Re: linux-next: triage for March 14, 2012

From: Paul Gortmaker <[email-masked]>
Date: Thu, 15 Mar 2012 10:34:15 -0400

On 12-03-15 04:00 AM, Geert Uytterhoeven wrote:
> On Thu, Mar 15, 2012 at 00:39, Paul Gortmaker
> <[email-masked]> wrote:
>> New breakage since last report:
> 
> Seems you missed two new failures for m68k/allmodconfig:
> 
> include/linux/mmc/core.h:128:20: error: field 'completion' has incomplete type
> make[4]: *** [drivers/mmc/card/mmc_test.o] Error 1

Thanks -- at some point, if this seems worthwhile, I'll have to
automate things a bit more (need to go look at that pointer you'd
sent me earlier).  At the moment, I'm not 100% apt to notice when
an old failure is replaced with a new failure on the same target
on the same day.

Paul.

> 
> drivers/staging/android/persistent_ram.c:457:2: error: implicit
> declaration of function 'memblock_reserve'
> [-Werror=implicit-function-declaration]
> cc1: some warnings being treated as errors
> make[4]: *** [drivers/staging/android/persistent_ram.o] Error 1
> 
>> m68k:allmodconfig
>>       when:   Mar 9, 00:38
>>       why:    ERROR: "__udivdi3" [drivers/media/dvb/frontends/rtl2830.ko] undefined!
> 
> This seems to be fixed, unless it doesn't get that far anymore.
> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds